#!/bin/sh
# test we are root
if [ "$(id -u)" != "0" ]; then
   echo "run as root now exitting"
   exit 1
fi

export CFLAGS="-march=armv8-a+crc -mtune=cortex-a72 -Os -pipe" 
export CXXFLAGS="-march=armv8-a+crc -mtune=cortex-a72 -Os -pipe \
-fno-exceptions -fno-rtti"

LOOP=/tmp/tcloop/libtool/usr/local/share/libtool/build-aux
P=libdaemon
V=0.14
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc wget squashfs-tools zsync libtool  "
for Z in $LIST    
    do 
    su -c "tce-load -i $Z" $USER
done

cd /tmp
su -c "/usr/local/bin/wget -nc --no-check-certificate \
http://0pointer.de/lennart/projects/$P/$SRC.tar.gz " $USER
tar xvf $SRC*gz
cd $SRC
cp $LOOP/config.sub .
cp $LOOP/config.guess .
./configure --prefix=/usr/local --enable-static=no --localstatedir=/var --disable-lynx
make check # takes seconds 
make install-strip DESTDIR=/tmp/$P  # takes seconds
cd /tmp

# dev
#####
mkdir -p $P-dev/usr/local/lib/
mv $P/usr/local/include $P-dev/usr/local/
mv $P/usr/local/lib/pkgconfig $P-dev/usr/local/lib/
mv $P/usr/local/lib/*a $P-dev/usr/local/lib/

# main
######
rm -rf $P/usr/local/share/doc

# TCZ them
#######  
LIST="$P $P-dev "
for Z in $LIST
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
        cd /tmp
        zsyncmake $Z.tcz
done

ls -hal

echo 'Title:          libdaemon-dev.tcz
Description:    libdaemon devs 
Version:        0.14
Author:         Lennart Poettering
Original-site:  http://0pointer.de/lennart/projects/libdaemon
Copying-policy: LGPL v 2.1
Size:           8K
Extension_by:   aus9
Tags:           daemon
Comments:       dev files

Change-log:     2020/09/12 Original v 0.14 on 12x 
Current:        2020/09/12    ' > $P-dev.tcz.info

echo 'Title:          libdaemon.tcz
Description:    C library that eases the writing of UNIX daemons 
Version:        0.14
Author:         Lennart Poettering
Original-site:  http://0pointer.de/lennart/projects/libdaemon
Copying-policy: LGPL v 2.1
Size:           12K
Extension_by:   aus9
Tags:           daemon
Comments:       C library that eases the writing of UNIX daemons

Change-log:     2020/09/12 Original v 0.14 on 12x 
Current:        2020/09/12    ' > $P.tcz.info

echo 'libdaemon.tcz
libtool.tcz' > $P-dev.tcz.dep

